SSO (single sign-on) is being reconfigured. Maintenance started Jul 16 2:20PM UTC and will last 1 hour. Password-enabled login should still work.
Bug 1777291 - Missing DESCRIPTION for oc explain kubeapiserver.spec
Summary: Missing DESCRIPTION for oc explain kubeapiserver.spec
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 4.3.0
Assignee: Michal Fojtik
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-27 10:45 UTC by Xingxing Xia
Modified: 2020-01-23 11:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1777205
Environment:
Last Closed: 2020-01-23 11:14:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift api pull 530 'None' 'closed' 'Bug 1777291: Add description to spec and status fields for kube operators' 2019-12-02 09:29:59 UTC
Github openshift cluster-kube-apiserver-operator pull 681 'None' 'open' 'Bug 1777291: Missing DESCRIPTION for oc explain kubeapiserver.spec' 2019-12-02 11:44:19 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:14:46 UTC

Description Xingxing Xia 2019-11-27 10:45:45 UTC
+++ This bug was initially created as a clone of Bug #1777205 +++

Same issue for kubeapiserver.spec, DESCRIPTION is empty:
oc explain kubeapiserver.spec
KIND:     KubeAPIServer
VERSION:  operator.openshift.io/v1

RESOURCE: spec <Object>

DESCRIPTION:
     <empty>

FIELDS:
   failedRevisionLimit  <integer>
     failedRevisionLimit is the number of failed static pod installer revisions
...

oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.3.0-0.nightly-2019-11-27-011055   True        False         7h53m   Cluster version is 4.3.0-0.nightly-2019-11-27-011055

Comment 2 Xingxing Xia 2019-11-28 06:26:44 UTC
Tested in env of latest payload 4.3.0-0.nightly-2019-11-28-004553, the issue still exists. Checked above PR openshift/api/pull/530/files , the zz_generated.swagger_doc_generated.go's change is not bumped into origin repo yet: https://github.com/openshift/origin/blob/release-4.3/vendor/github.com/openshift/api/operator/v1/zz_generated.swagger_doc_generated.go .

Comment 4 Xingxing Xia 2019-12-03 10:37:51 UTC
Verified in 4.3.0-0.nightly-2019-12-03-032607 with above step. Thanks

Comment 6 errata-xmlrpc 2020-01-23 11:14:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.